Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#66878 - [grails] does nothing on execution

Attached to Project: Community Packages
Opened by Pablo (DevPGSV) - Wednesday, 03 June 2020, 15:04 GMT
Last edited by freswa (frederik) - Thursday, 04 June 2020, 01:13 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Levente Polyak (anthraxx)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 2
Private No

Details

Description:

I believe the current package for grails is broken.
When executing the command "grails", nothing happens.
To fix this I had to edit the file "/usr/bin/grails" and add at the end:
exec "$JAVACMD" "$@"

Also, this package accepts "jdk-openjdk" as a dependency.
jdk-openjdk right now is java version: 14.0.1.u7-1
However, grails is based on gradle, and gradle doesn't work with java 14.
When I used java 14 I had a StackTrace starting with:
java.lang.NoClassDefFoundError: Could not initialize class org.codehaus.groovy.vmplugin.v7.Java7
This might be related: https://github.com/gradle/gradle/issues/10248

After executing:
sudo archlinux-java set java-11-openjdk
The command worked (with several warnings).
After executing:
sudo archlinux-java set java-8-openjdk
The command worcked as expected.

Additional info:
* package version(s):
* config and/or log files etc.
* link to upstream bug report, if any
I hace tried this with "grails 4.0.3-1", the current version at https://www.archlinux.org/packages/community/any/grails/ .


Steps to reproduce:

# Install grails:
sudo pacman -S grails
# Execute grails:
grails

This task depends upon

Comment by Levente Polyak (anthraxx) - Thursday, 04 June 2020, 05:52 GMT
latest gradle works perfectly fine with java14, can you report the java version issue upstream?
Comment by Pablo (DevPGSV) - Thursday, 04 June 2020, 06:20 GMT
Thanks, I will.

PD: it seems this is a known problem that will be fixed when Grails updates the version of Spring-boot it is using:
https://stackoverflow.com/a/61938486
Comment by Nuno (ntfc) - Monday, 06 July 2020, 20:26 GMT
> To fix this I had to edit the file "/usr/bin/grails" and add at the end:
> exec "$JAVACMD" "$@"

This is due to a (fixed, but not yet released) issue with `setconf`: https://github.com/xyproto/setconf/issues/16
Comment by Nuno (ntfc) - Monday, 06 July 2020, 22:01 GMT
`setconf-0.7.7-1` is now in the repos. Manually building the `grails` package with it does not strip the last `exec` line from `/usr/bin/grails`

Loading...